Subject: releasing 2.4.0

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 1 May 2001 14:18:06 +0000

I think we should release the last candidate beta 2.3.32 now.

And set the exact date of 2.4.0 release to be sure we don't postpone it
any more. Maybe May 10 or 15?

I don't have critical problems which may stop the new stable release.
There is a report of Olivier about MouseFocus, which I can reproduce.
If possible it could be carefully fixed before 2.4.0.

I myself get PositiveWrite failed timeout in some theme switches. I will
see if I can narrow the problem. If no, this may be fixed in 2.4.1+ or/and
I will do a workaround for this in fvwm-themes.

If we compare to other software, FVWM has a good quality, size, speed and
functionality.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Sun, 20 May 2001 09:11:19 -0400

> If we compare to other software, FVWM has a good quality, size, speed and

I can make time to build 2.4 if no one objects.

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 20 May 2001 15:55:09 +0000

> > I will do a workaround for this in fvwm-themes.

Unfortunately I get this PositiveWrite failed timeout (30 sec) too often...

> I can make time to build 2.4 if no one objects.

Sorry, I should object because there are at least 3 problems:

1) Locking on Wait in I functions, I am still waiting for Dominik's answer.
   If nothing else I will undo that problematic commit.
2) IMHO "import -frame" problem should be fixed, it worked previously and
   it is inaceptable that existing window screenshot functions are broken.
3) There are several problems in function parsing, see my other thread.
   I will try to fix them all soon.

Also configure.in should be changed to have 2.4.0 (if we decide that there
will not be 2.3.33) for "make_fvwmdist.sh -r" to work. Also dates and
release numbers should be updated in several documentation files.

I suggest, after we fix these problems or agree not to fix some of them,
someone releases 2.4.0 (i.e. tags cvs), some people (I will) test that the
tagged version works (cvs checkout -r version-2_4_0), if not I will care to
move the tag manually. I and Olivier build rpms (this also sometimes unveils
problems with a tarball). And only then we put released tar.gz and announce.

I am optimistical even if this means some more days. :)

Regards,
Mikhael.

---

From: Dan Espen <[email-masked]>
Date: Sun, 20 May 2001 13:21:05 -0400

> Sorry, I should object because there are at least 3 problems:
...
> I am optimistic even if this means some more days. :)

OK.

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 21 May 2001 13:21:03 +0200

> I can make time to build 2.4 if no one objects.

I think the current focus problems and the Wait command have to be
fixed first.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]